type CamelCase<T extends string> = T extends `${infer _}` ? T extends `${infer P1}${'_' | '-'}${infer P2}${infer P3}` ? `${Lowercase<P1>}${Uppercase<P2>}${CamelCase<P3>}` : Lowercase<T> : string;
/**
 * converts provided string to camel case
 * @example
 * camelCase('hello_world')
 * // returns 'helloWorld'
 */
export default function camelCase<T extends string>(input: T): CamelCase<T>;
export {};
//# sourceMappingURL=camelCase.d.ts.map