import type { AnyFunction } from './types';
/**
 * delays the execution of a function until a certain period of time has passed without the function being called again
 * @example
 * debounce(1000, someFunction)
 */
export default function debounce<T extends AnyFunction>(ms: number, fn: T): (...args: Parameters<T>) => void;
//# sourceMappingURL=debounce.d.ts.map