/**
 * returns an array if an array was provided, or a new array if provided value was not an array
 * @example
 * ensureArray([1, 2])
 * // returns [1, 2]
 * ensureArray('test')
 * // returns ['test']
 */
export default function ensureArray<T>(maybeArr: T | T[]): T[];
//# sourceMappingURL=ensureArray.d.ts.map