/**
 * returns the first element of the provided array that returns true for the predicate function, or undefined if the element was not found
 * @example
 * find(el => el === 2, [1, 2, 3])
 * // returns 2
 */
export default function find<T>(predicate: (el: T) => boolean, arr: T[]): T | undefined;
//# sourceMappingURL=find.d.ts.map