/**
 * returns the last element of the provided array that returns true for the predicate function, or undefined if the element was not found
 * @example
 * findLast(el => el % 2 === 0, [1, 2, 3, 4])
 * // returns 4
 */
export default function findLast<T>(predicate: (el: T) => boolean, arr: T[]): T | undefined;
//# sourceMappingURL=findLast.d.ts.map