type Flatten<T> = T extends Array<infer R> ? R : T;
/**
 * flattens the provided array by one level
 * @example
 * flatten([1, 2, [3, 4]])
 * // returns [1, 2, 3, 4]
 * flatten([1, 2, [3, [4, 5]], 6])
 * // returns [1, 2, 3, [4, 5], 6]
 */
export default function flatten<T>(arr: T[]): Flatten<T>[];
export {};
//# sourceMappingURL=flatten.d.ts.map