import type { AnyObject } from './types';
/**
 * returns an array of the provided object keys
 * @example
 * keys({ a: 1, b: 2, c: 3 })
 * // returns ['a', 'b', 'c']
 */
export default function keys<T extends AnyObject>(obj: T): Array<keyof T>;
//# sourceMappingURL=keys.d.ts.map