import type { AnyObject } from './types';
/**
 * deep merges the two provided objects
 * @example
 * merge({ a: 1 }, { b: 2 })
 * // returns { a: 1, b: 2 }
 */
export default function merge<A extends AnyObject, B extends AnyObject>(objA: A, objB: B): A & B;
//# sourceMappingURL=merge.d.ts.map