import type { AnyObject } from './types';
/**
 * returns the provided object but with specified keys omitted
 * @example
 * omit(['a'], { a: 1, b: 2 })
 * // returns { b: 2 }
 */
export default function omit<T extends AnyObject, K extends keyof T>(keys: readonly K[], obj: T): Omit<T, K>;
//# sourceMappingURL=omit.d.ts.map