import type { AnyFunction } from './types';
/**
 * returns a function that called invokes the provided arguments transformers
 * @example
 * const func = overArgs((a, b, c) => [a, b, c], [n => n * n, Boolean])
 * func(2, 0, 1)
 * // returns [4, false, 1]
 */
export default function overArgs(fn: AnyFunction, transformers: Array<AnyFunction>): AnyFunction;
//# sourceMappingURL=overArgs.d.ts.map