import type { AnyObject } from './types';
/**
 * picks specified properties from the object
 * @example
 * pick(['b'], { a: 1, b: 2 })
 * // returns { b: 2 }
 */
export default function pick<T extends AnyObject, K extends keyof T>(keys: readonly K[], obj: T): Pick<T, K>;
//# sourceMappingURL=pick.d.ts.map