import type { AnyFunction } from './types';
/**
 * returns a function that called with an array of values calls the provided function with the spreaded arguments from the array arguments
 * @example
 * const func = spread((a, b, c) => a + b + c)
 * func([1, 2, 3])
 * // returns 6
 */
export default function spread(fn: AnyFunction): AnyFunction;
//# sourceMappingURL=spread.d.ts.map