/**
 * returns an array with all the duplicates from the provided array removed based on the iteratee function
 * @example
 * uniqBy(el => el.toString(), [1, '1', 2, '3', 3])
 * // returns [1, 2, '3']
 */
export default function uniqBy<T>(iteratee: (el: T) => any, arr: T[]): T[];
//# sourceMappingURL=uniqBy.d.ts.map