import type { AnyObject, IsUnion } from './types';
export default function compact<T>(collection: T[]): NonNullable<T>[];
export default function compact<T extends AnyObject>(collection: T): {
    [K in keyof T as NonNullable<T[K]> extends never ? never : K]: IsUnion<T[K]> extends true ? NonNullable<T[K]> | undefined : T[K];
};
//# sourceMappingURL=compact.d.ts.map