/**
 * returns the index of the element of the provided array that returns true for the predicate function, or -1 if the element was not found
 * @example
 * findIndex(el => el === 2, [1, 2, 3])
 * // returns 1
 * findIndex(el => el === 5, [1, 2, 3])
 * // returns -1
 */
export default function findIndex<T>(predicate: (el: T) => boolean, arr: T[]): number;
//# sourceMappingURL=findIndex.d.ts.map