/**
 * returns the index of the last element of the provided array that returns true for the predicate function, or -1 if the element was not found
 * @example
 * findLastIndex(el => el % 2 === 0, [1, 2, 3, 4])
 * // returns 3
 */
export default function findLastIndex<T>(predicate: (el: T) => boolean, arr: T[]): number;
//# sourceMappingURL=findLastIndex.d.ts.map