/**
 * returns the index of the last element of the provided array that returns true for the predicate function, starting from the specified index element to the begining of the array, or -1 if the element was not found
 * @example
 * findLastIndexFrom(el => el % 2 === 0, 3, [1, 2, 3, 4, 5, 6])
 * // returns 3
 */
export default function findLastIndexFrom<T>(predicate: (el: T) => boolean, startIndex: number, arr: T[]): number;
//# sourceMappingURL=findLastIndexFrom.d.ts.map