type UnaryFunction = (args: any) => any;
/**
 * memoizes the provided function so it returns cached results when invoked with the same arguments
 * @example
 * const memoizedFunc = memoize((val: number) => ({ current: val })
 * memoizedFunc(3) === memoizedFunc(3)
 * // returns true
 */
export default function memoize<T extends UnaryFunction>(func: T): T;
export {};
//# sourceMappingURL=memoize.d.ts.map