/**
 * returns an array with elements that return false for the provided predicate function
 * @example
 * reject(el => el % 2 === 0, [1, 2, 3, 4, 5])
 * // returns [1, 3, 5]
 */
export default function reject<T>(predicate: (el: T) => boolean, arr: T[]): T[];
//# sourceMappingURL=reject.d.ts.map