/**
 * returns a tuple with the provided array splited on an element that returned true for the provided function, iterating from the right side
 * @example
 * splitRightWhenAccum((el, acc) => [el % 2 === 0, acc], [], [1, 2, 3, 4])
 * // returns [[1, 2, 3], [4]]
 */
export default function splitRightWhenAccum<T>(fn: (el: T, acc: T[]) => [boolean, T[]], acc: T[], arr: T[]): [T[], T[]];
//# sourceMappingURL=splitRightWhenAccum.d.ts.map