/**
 * takes elements while `predicate` returns true
 * @example
 * takeRightWhile(el => el > 2, [1, 2, 3, 4, 5])
 * // returns [3, 4]
 */
export default function takeRightWhile<T>(predicate: (el: T) => boolean, arr: T[]): T[];
//# sourceMappingURL=takeRightWhile.d.ts.map