/**
 * takes elements while `predicate` returns true starting from the right from the specified index
 * @example
 * takeRightWhileFrom(el => el > 2, 3, [1, 2, 3, 4, 5])
 * // returns [3, 4]
 */
export default function takeRightWhileFrom<T>(predicate: (el: T) => boolean, startIndex: number, arr: T[]): T[];
//# sourceMappingURL=takeRightWhileFrom.d.ts.map