import type { AnyObject } from './types';
/**
 * returns an array of values of the provided object
 * @example
 * values({ a: 1, b: 2, c: 3 })
 * // returns [1, 2, 3]
 */
export default function values<T extends AnyObject>(obj: T): T[keyof T][];
//# sourceMappingURL=values.d.ts.map