/**
 * returns an array of tuples of certain index elements from two provided arrays based on the zipper function
 * @example
 * zipWith((a, b) => [a * 2, b.toString()], [1, 2, 3], [10, 20, 30])
 * // returns [[2, '10'], [4, '20'], [6, '30']]
 */
export default function zipWith<A, B, R>(zipper: (a: A, b: B) => R, arrayA: A[], arrayB: B[]): R[];
//# sourceMappingURL=zipWith.d.ts.map